<script setup lang="ts">
import { RouterLink, RouterView, useRoute, useRouter } from 'vue-router'
import { ref } from 'vue'
import { useAuthStore } from '@/stores/auth'

const router = useRouter()
const route = useRoute()

const authStore = useAuthStore()

function clearUser() {
  authStore.currentUser = authStore.defaultUser
  authStore.openNvaAdmin = false
  authStore.openNvaStaff = false
  authStore.appBarLogin = false
  authStore.appBarUnlogin = true
}
</script>

<template>
  <div>
    <v-navigation-drawer
      v-model="authStore.openNvaAdmin"
      expand-on-hover
      rail
      :width="300"
      color="grey-darken-4"
      permanent
    >
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-home"
        link
        title="Main Menu"
        rounded
        :class="{ active: route.name === 'mainmenu' }"
        :to="{ path: '/MainMenu' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-coffee-maker"
        link
        title="POS"
        rounded
        :class="{ active: route.name === 'pos' }"
        :to="{ path: '/POS' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-account-group-outline"
        link
        title="Employee"
        rounded
        :class="{ active: route.name === 'employee' }"
        :to="{ path: '/Employee' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-account-multiple"
        link
        title="Member"
        rounded
        :class="{ active: route.name === 'member' }"
        :to="{ path: '/Member' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-coffee"
        link
        title="Product"
        rounded
        :class="{ active: route.name === 'product' }"
        :to="{ path: '/Product' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-archive"
        link
        title="Stock"
        rounded
        :class="{ active: route.name === 'stock' }"
        :to="{ path: '/Stock' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-file"
        link
        title="Bills"
        rounded
        :class="{ active: route.name === 'bills' }"
        :to="{ path: '/Bills' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-checkbox-multiple-outline"
        link
        title="CheckIn CheckOut"
        rounded
        :class="{ active: route.name === 'checkin' }"
        :to="{ path: '/CheckIn' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-currency-usd"
        link
        title="Salary"
        rounded
        :class="{ active: route.name === 'salary' }"
        :to="{ path: '/Salary' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-receipt-text"
        link
        title="Receipt"
        rounded
        :class="{ active: route.name === 'receipt' }"
        :to="{ path: '/Receipt' }"
      ></v-list-item>

      <template v-slot:append>
        <div class="pa-1">
          <v-list-item
            active-color="deep-orange-darken-4"
            prepend-icon="mdi-exit-to-app"
            link
            title="Logout"
            rounded
            @click="clearUser()"
            :class="{ active: route.name === 'home' }"
            :to="{ path: '/' }"
          ></v-list-item>
        </div>
      </template>
    </v-navigation-drawer>

    <v-navigation-drawer
      v-model="authStore.openNvaStaff"
      expand-on-hover
      rail
      :width="300"
      color="grey-darken-4"
      permanent
    >
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-home"
        link
        title="Main Menu"
        rounded
        :class="{ active: route.name === 'mainmenu' }"
        :to="{ path: '/MainMenu' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-coffee-maker"
        link
        title="POS"
        rounded
        :class="{ active: route.name === 'pos' }"
        :to="{ path: '/POS' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-account-multiple"
        link
        title="Member"
        rounded
        :class="{ active: route.name === 'member' }"
        :to="{ path: '/Member' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-coffee"
        link
        title="Product"
        rounded
        :class="{ active: route.name === 'product' }"
        :to="{ path: '/Product' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-archive"
        link
        title="Stock"
        rounded
        :class="{ active: route.name === 'stock' }"
        :to="{ path: '/Stock' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-checkbox-multiple-outline"
        link
        title="CheckIn CheckOut"
        rounded
        :class="{ active: route.name === 'checkin' }"
        :to="{ path: '/CheckIn' }"
      ></v-list-item>
      <v-list-item
        active-color="deep-orange-darken-4"
        prepend-icon="mdi-receipt-text"
        link
        title="Receipt"
        rounded
        :class="{ active: route.name === 'receipt' }"
        :to="{ path: '/Receipt' }"
      ></v-list-item>

      <template v-slot:append>
        <div class="pa-1">
          <v-list-item
            active-color="deep-orange-darken-4"
            prepend-icon="mdi-exit-to-app"
            link
            title="Logout"
            rounded
            @click="clearUser()"
            :class="{ active: route.name === 'home' }"
            :to="{ path: '/' }"
          ></v-list-item>
        </div>
      </template>
    </v-navigation-drawer>
  </div>
</template>

<style scoped></style>
